# List gift planner

Section: Your data › Gift planner

```
GET https://ba.joexyz.online/api/v1/me/gift-inventories
```

Lists your gift planner, newest first.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Example responses

### 200 OK

```json
{
  "data": [
    {
      "id": "k571k0c4p3bmntpnng4p8kcaan7vss8k",
      "createdAt": "2025-11-20T19:16:23.521Z",
      "name": "EU",
      "giftBoxes": 341,
      "gifts": [
        {
          "id": 5000,
          "count": 1
        },
        {
          "id": 5001,
          "count": 3
        },
        {
          "id": 5002,
          "count": 2
        },
        {
          "id": 5004,
          "count": 7
        },
        {
          "id": 5005,
          "count": 36
        },
        {
          "id": 5006,
          "count": 30
        }
      ]
    }
  ]
}
```

## Examples

### cURL

```bash
curl https://ba.joexyz.online/api/v1/me/gift-inventories \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/gift-inventories", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/gift-inventories"
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/gift-inventories", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
